#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with	capng		# build with libpcap-ng
%else
%bcond_without	capng		# build without libpcap-ng
%endif
%bcond_without	selinux		# SELinux support
%bcond_without	systemd

Summary:	S.M.A.R.T. control and monitoring of ATA/SCSI harddisks
Summary(cs.UTF-8):	smartmontools - pro monitorování S.M.A.R.T. disků a zařízení
Summary(de.UTF-8):	smartmontools - zur Überwachung von S.M.A.R.T.-Platten und-Geräten
Summary(es.UTF-8):	smartmontools - para el seguimiento de discos y dispositivos S.M.A.R.T.
Summary(fr.UTF-8):	smartmontools - pour le suivi des disques et instruments S.M.A.R.T.
Summary(it.UTF-8):	smartmontools - per monitare dischi e dispositivi S.M.A.R.T.
Summary(pl.UTF-8):	Monitorowanie i kontrola dysków za pomocą S.M.A.R.T
Summary(pt.UTF-8):	smartmontools - para monitorar discos e dispositivos S.M.A.R.T.
Name:		smartmontools
Version:	7.4
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://downloads.sourceforge.net/smartmontools/%{name}-%{version}.tar.gz
# Source0-md5:	178d31a6ff5256c093227ab45a3f52aa
Source1:	%{name}.init
Source3:	10mail
Source4:	10powersave-notify
Source5:	smartd-runner
Patch0:		53_use-smartd-runner-by-default.diff
URL:		https://www.smartmontools.org
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.10
%{?with_capng:BuildRequires:	libcap-ng-devel}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libstdc++-devel >= 6:4.8.1
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.647
%{?with_systemd:BuildRequires:	systemd-devel}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
%if "%{pld_release}" != "ac"
Requires(post,preun,postun):	systemd-units >= 38
Requires:	systemd-units >= 38
%endif
Obsoletes:	smartctl
Obsoletes:	smartmontools-systemd < 5.42-3
Obsoletes:	smartsuite < 2.2
Obsoletes:	ucsc-smartsuite < 2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The smartmontools package contains tools to control and monitor
storage systems using the Self-Monitoring, Analysis and Reporting
Technology System (S.M.A.R.T.) built into most modern ATA and SCSI
hard disks. This is used to check the reliability of the hard drive
and to predict drive failures. The suite is derived from the
smartsuite package, and contains two utilities. The first, smartctl,
is a command line utility designed to perform simple S.M.A.R.T. tasks.
The second, smartd, is a daemon that periodically monitors S.M.A.R.T.
status and reports errors to syslog. Currently this package includes
support for ATA/ATAPI-5 disks. It's intended to incorporate as much
"vendor specific" and "reserved" information as possible about disk
drives.

%description -l cs.UTF-8
smartmontools řídí a monitorují zařízení pro ukládání dat za použití
technologie automatického monitorování, analýzy a hlášení
(Self-Monitoring, Analysis and Reporting Technology System -
S.M.A.R.T.) vestavěného do pevných disků ATA a SCSI. Používá se ke
kontrole použitelnosti pevného disku a předvídání havárií disků.
Nástroje jsou odvozeny od balíčku smartsuite a obsahují dva programy.
První, smartctl, je nástroj pro provádění jednoduchých S.M.A.R.T. úloh
na příkazové řádce. Druhý, smartd, je démon, který periodicky
monitoruje stav a hlásí chyby do systémového protokolu. Balíček je
kompatibilní se specifikací ATA/ATAPI-5. Balíček je navržen tak, aby
pokryl co nejvíce položek s informacemi "závislé na výrobci" a
"rezervováno".

%description -l de.UTF-8
Die smartmontools steuern und überwachen Speichergeräte mittels des
S.M.A.R.T.-Systems (Self-Monitoring, Analysis and Reporting
Technology, Technologie zur Selbst-Überwachung, Analyse und
Berichterstellung), das in ATA- und SCSI-Festplatten eingesetzt wird.
Sie werden benutzt, um die Zuverlässigkeit der Festplatte zu prüfen
und Plattenfehler vorherzusagen. Die Suite wurde vom smartsuite-Paket
abgeleitet und enthält zwei Dienstprogramme. Das erste, smartctl, ist
ein Kommandozeilentool, das einfache S.M.A.R.T. Aufgaben ausführt. Das
zweite, smartd, ist ein Daemon, der periodisch den S.M.A.R.T.-Status
überwacht und Fehler ins Syslog protokolliert. Das Paket ist zur
ATA/ATAPI-5 Spezifikation kompatibel. Das Paket versucht, so viele
"herstellerspezifische" und "reservierte" Information über
Plattenlaufwerke wie möglich bereitzustellen.

%description -l es.UTF-8
smartmontools controla y hace el seguimiento de dispositivos de
almacenamiento usando el Self-Monitoring, Analysis and Reporting
Technology System (S.M.A.R.T.) incorporado en discos duros ATA y SCSI.
Es usado para asegurar la fiabilidad de discos duros y predecir
averias. El conjunto de programas proviene del conjunto smartsuite y
contiene dos utilidades. La primera, smartctl, es una utilidad
command-line hecha para hacer operaciones S.M.A.R.T. sencillas. La
segunda, smartd, es un programa que periodicamente chequea el estatus
smart e informa de errores a syslog. Estos programas son compatibles
con el sistema ATA/ATAPI-5. Este conjunto de programas tiene el
proposito de incorporar la mayor cantidad posible de informacion
reservada y especifica de discos duros.

%description -l fr.UTF-8
smartmontools contrôle et fait le suivi de périphériques de stockage
utilisant le système Self-Monitoring, Analysis and Reporting
Technology (S.M.A.R.T) intégré dans les disques durs ATA et SCSI. Ce
système est utilisé pour vérifier la fiabilité du disque dur et
prédire les défaillances du lecteur. La suite logicielle dérive du
paquet smartsuite et contient deux utilitaires. Le premier, smartctl,
fonctionne en ligne de commande et permet de réaliser des tâches
S.M.A.R.T. simples. Le second, smartd, est un démon qui fait
périodiquement le suivi du statut smart et transmet les erreurs au
syslog. Ce paquet est compatible avec la spécification ATA/ATAPI-5. Ce
paquet tente d'incorporer le plus d'informations possible sur les
disques durs qu'elles soient spécifiques au constructeur ("vendor
specific") ou réservées ("reserved").

%description -l it.UTF-8
smartmontools controlla e monitora dischi che usano il
"Self-Monitoring, Analysis and Reporting Technology System"
(S.M.A.R.T.), in hard drive ATA e SCSI. Esso è usato per controllare
l'affidabilità dei drive e predire i guasti. La suite è derivata dal
package smartsuite e contiene due utility. La prima, smartctl, è una
utility a linea di comando progettata per eseguire semplici task
S.M.A.R.T.. La seconda, smartd, è un daemon che periodicamente
monitora lo stato di smart e riporta errori al syslog. Il package è
compatibile con le specifiche ATA/ATAPI-5. Il package vuole
incorporare tutte le possibili informazioni riservate e "vendor
specific" sui dischi.

%description -l pl.UTF-8
Pakiet smartmontools zawiera narzędzia do sterowania i monitorowania
systemami przechowywania danych za pomocą S.M.A.R.T (Self-Monitoring,
Analysis and Reporting Technology) - systemu wbudowanego w większość
nowych dysków ATA oraz SCSI. Ma to na celu sprawdzanie wiarygodności
twardego dysku i przewidywanie jego awarii. Pakiet pochodzi od
oprogramowania smartsuite i zawiera dwa narzędzia. Pierwsze, smartctl,
to program działający z linii poleceń stworzony do wykonywania
prostych zadań S.M.A.R.T.. Drugie, smartd, to demon okresowo
monitorujący stan S.M.A.R.T. i raportujący błędy poprzez sysloga.
Aktualnie pakiet wspiera dyski ATA/ATAPI-5. Pakiet ma na celu
włączenie obsługi jak największej ilości informacji specyficznych dla
producenta oraz "zarezerwowanych".

%description -l pt.UTF-8
smartmontools controla e monitora dispositivos de armazenamento
utilizando o recurso Self-Monitoring, Analysis and Reporting
Technology System (S.M.A.R.T.) integrado nos discos rígidos ATA e
SCSI, cuja finalidade é verificar a confiabilidade do disco rígido e
prever falhas da unidade. A suite é derivada do pacote smartsuite, e
contém dois utilitários. O primeiro, smartctl, é um utilitário de
linha de comando projetado para executar tarefas simples de S.M.A.R.T.
O segundo, smartd, é um daemon que monitora periodicamente estados do
smart e reporta erros para o syslog. O pacote é compatível com a
especificação ATA/ATAPI-5. O pacote pretende incorporar o maior número
possível de informações "específicas do fabricante" e "reservadas"
sobre unidades de disco.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_capng:--with-libcap-ng} \
	%{?with_selinux:--with-selinux} \
	--with-savestates=/var/lib/smartmontools/smartd. \
	--with-attributelog=/var/lib/smartmontools/attrlog. \
	--with-drivedbdir=/var/lib/smartmontools/drivedb \
	--with-smartdscriptdir=/usr/share/smartmontools \
	--with-smartdplugindir=/etc/smartmontools/smartd_warning.d \
%if %{with systemd}
	--with-systemdsystemunitdir=%{systemdunitdir} \
	--with-systemdenvfile=/etc/sysconfig/smartmontools
%else
	--without-libsystemd
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	docs_DATA= \
	examplesdir=%{_examplesdir}/%{name}-%{version} \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,smartmontools/{run,smartd_warning}.d,sysconfig},%{systemdunitdir},%{_datadir}/%{name}}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smartd
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/smartmontools/run.d/10mail
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/smartmontools/run.d/10powersave-notify
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/smartd-runner

sed -e 's,^/dev/,#&,' smartd.conf > $RPM_BUILD_ROOT%{_sysconfdir}/smartd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smartd
%service smartd restart
%systemd_post smartd.service

%preun
if [ "$1" = "0" ]; then
	%service smartd stop
	/sbin/chkconfig --del smartd
fi
%systemd_preun smartd.service

%postun
%systemd_reload

%triggerpostun -- %{name} < 5.42-5
%systemd_trigger smartd.service

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(754,root,root) /etc/rc.d/init.d/smartd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smartd.conf
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/run.d
%attr(755,root,root) %{_sysconfdir}/%{name}/run.d/10mail
%attr(755,root,root) %{_sysconfdir}/%{name}/run.d/10powersave-notify
%attr(755,root,root) %{_sbindir}/smartctl
%attr(755,root,root) %{_sbindir}/smartd
%attr(755,root,root) %{_sbindir}/update-smart-drivedb
%if %{with systemd}
%{systemdunitdir}/smartd.service
%endif
%dir %{_datadir}/smartmontools
%attr(755,root,root) %{_datadir}/%{name}/smartd-runner
%attr(755,root,root) %{_datadir}/%{name}/smartd_warning.sh
%dir %{_var}/lib/%{name}
%dir %{_var}/lib/%{name}/drivedb
# updated by update-smart-drivedb
%verify(not md5 mtime size) %{_var}/lib/%{name}/drivedb/drivedb.h
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man5/smartd.conf.5*
%{_mandir}/man8/smartctl.8*
%{_mandir}/man8/smartd.8*
%{_mandir}/man8/update-smart-drivedb.8*
%changelog
* Sat Aug 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smartmontools.git;a=log;h=master

* Fri Aug 25 2023 Jan Palus <atler@pld-linux.org> 309f90c
- update required autoconf version

* Fri Aug 25 2023 Jan Palus <atler@pld-linux.org> ee4493e
- up to 7.4

* Fri Aug 25 2023 Jan Palus <atler@pld-linux.org> adcee6e
- update URL

* Mon Jul 10 2023 Marcin Krol <hawk@tld-linux.org> 51bc613
- allow building without systemd

* Sat Mar 11 2023 Jakub Bogusz <qboosh@pld-linux.org> 3c9d86c
- versioned Obsoletes

* Sat Mar 11 2023 Jan Palus <atler@pld-linux.org> 2c370ee
- up to 7.3

* Mon Jun 21 2021 Jan Palus <atler@pld-linux.org> fb6f65a
- up to 7.2

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> b137e9d
- up to 7.1

* Tue Jan 01 2019 Jakub Bogusz <qboosh@pld-linux.org> d22b527
- updated to 7.0

* Wed Nov 08 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 240bfa4
- up to 6.6

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 467b121
- updated to 6.5

* Thu Sep 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1aa182a
- rel 3; monitor more (-o on -a)

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> 071992c
- drop upstart support
- rel 2

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6c2e912
- updated to 6.4

* Sun Nov 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 01063d4
- rel 3; use mktemp

* Sun Nov 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a833b46
- rel 2; notification from debian (10powersave-notify needs pldization)

* Mon Jul 28 2014 Łukasz Kieś <kiesiu@pld-linux.org> c8a3957
- updated to 6.3
- AM patch is obsoleted now

* Mon Jan 13 2014 Elan Ruusamäe <glen@delfi.ee> 5679af7
- up to 6.2 (2013-07-26)

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 4dc5531
- ouch, obsoleted by -am patch

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 6021466
- updated to 6.1
- added am patch (fixes build with automake 1.13+)
- systemv file replaced by one provided upstream

